Bug 1035423 - Use after free causes critical warnings in g-s-d, potential crasher
Summary: Use after free causes critical warnings in g-s-d, potential crasher
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F20FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-11-27 17:30 UTC by Rui Matos
Modified: 2013-12-04 16:51 UTC (History)
2 users (show)

Fixed In Version: glib2-2.38.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-04 16:51:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Rui Matos 2013-11-27 17:30:29 UTC
The fix for bug 1008965, uncovered a bug in glib: https://bugzilla.gnome.org/show_bug.cgi?id=719402 .

This is currently just issuing a critical warning:

(gnome-settings-daemon:13060): GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

but it's potentially a crasher.

Comment 1 Adam Williamson 2013-11-27 17:34:04 UTC
We can consider taking this into F20 final - do you think it's likely to be less dangerous to try taking the patch through freeze, or leave it alone and hope it doesn't crash anything?

Comment 2 Rui Matos 2013-11-27 17:59:57 UTC
I think the fix is safe enough to go into final.

OTOH, nothing else seems to be hitting this issue and AFAICT, this bug has existed in glib for 2 years now.

Comment 3 Fedora Update System 2013-11-27 18:08:04 UTC
glib2-2.38.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glib2-2.38.2-2.fc20

Comment 4 Adam Williamson 2013-11-27 19:57:44 UTC
Discussed at 2013-11-27 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-11-27/f20-blocker-review-3.2013-11-27-17.01.log.txt . Accepted as a freeze exception issue because, uh, I don't really know, but people voted +1.

Comment 5 Fedora Update System 2013-11-29 15:57:58 UTC
Package glib2-2.38.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glib2-2.38.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22340/glib2-2.38.2-2.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-12-04 16:51:21 UTC
glib2-2.38.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.